import { VideoChannelsSearchQueryAfterSanitize, VideoPlaylistsSearchQueryAfterSanitize, VideosCommonQueryAfterSanitize, VideosSearchQueryAfterSanitize } from '../../shared/models';
declare function pickCommonVideoQuery(query: VideosCommonQueryAfterSanitize): Pick<VideosCommonQueryAfterSanitize, "nsfw" | "isLive" | "start" | "search" | "sort" | "count" | "include" | "categoryOneOf" | "licenceOneOf" | "languageOneOf" | "tagsOneOf" | "tagsAllOf" | "privacyOneOf" | "isLocal" | "hasHLSFiles" | "hasWebtorrentFiles" | "skipCount">;
declare function pickSearchVideoQuery(query: VideosSearchQueryAfterSanitize): {
    startDate?: string;
    endDate?: string;
    host?: string;
    uuids?: string[];
    originallyPublishedStartDate?: string;
    originallyPublishedEndDate?: string;
    durationMin?: number;
    durationMax?: number;
    searchTarget?: import("../../shared/models").SearchTargetType;
    nsfw?: import("../../shared/models").BooleanBothQuery;
    isLive?: boolean;
    start: number;
    search?: string;
    sort: string;
    count: number;
    include?: import("../../shared/models").VideoInclude;
    categoryOneOf?: number[];
    licenceOneOf?: number[];
    languageOneOf?: string[];
    tagsOneOf?: string[];
    tagsAllOf?: string[];
    privacyOneOf?: import("../../shared/models").VideoPrivacy[];
    isLocal?: boolean;
    hasHLSFiles?: boolean;
    hasWebtorrentFiles?: boolean;
    skipCount?: boolean;
};
declare function pickSearchChannelQuery(query: VideoChannelsSearchQueryAfterSanitize): Pick<VideoChannelsSearchQueryAfterSanitize, "host" | "start" | "search" | "sort" | "count" | "handles" | "searchTarget">;
declare function pickSearchPlaylistQuery(query: VideoPlaylistsSearchQueryAfterSanitize): Pick<VideoPlaylistsSearchQueryAfterSanitize, "host" | "start" | "search" | "sort" | "count" | "uuids" | "searchTarget">;
export { pickCommonVideoQuery, pickSearchVideoQuery, pickSearchPlaylistQuery, pickSearchChannelQuery };
//# sourceMappingURL=query.d.ts.map